Announcement

Collapse
No announcement yet.

MK908 Kernel upgrade to 3.0.72+

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #91
    Setting SUBLEVEL to 36 works.

    Thanks Omegamoon, changing the version to 36 works with the existing boot.img. Compiled a 1080P kernel, cpu at 1800MHz, DDR at 720MHz and GPU at 600MHz, plays 1080P test clips flawlessly.

    --
    Thanks.

    Comment


      #92
      Re: MK908 Kernel upgrade to 3.0.72+

      I will try to mod Marvin a little to fit in this sources, and I agree with omegamoon, if we work all in the same sources we will save a lot of time, and will be good to have an updated sources for all devices, with all aditions added, so please lets try to join.

      leolas
      REMEMBER, YOUR FEEDBACK IS VERY IMPORTANT TO US.
      My devices:
      Minix Neo X7; Minix Neo X8-H , Minix Neo Z64W & Z64 (Sponsored by Minix)
      MK902 & MK902II(Sponsored by RKM)
      Beelink M8B & Beelink R89 (Sponsored by Beelink)
      Tronsmart VEGA S89H (Sponsored by
      Gearbest.com)
      MELE-PCG03 (Sponsored by Gearbest.com) Discount Coupon:MPCG03
      Ainol Intel Z3735 MiniPC(Sponsored by Gearbest.com)
      Thanks to them I can try to support your devices http://freaktab.com/core/images/smilies/wink.png

      Comment


        #93
        Originally posted by Omegamoon View Post
        ...
        Last but not least, I hope more people adopt this kernel. We will try to add as much of the more popular rockchip devices out there, and add more functionality along the way. Is there interest for tablet support as well for instance?
        I for once would like it very much. I have a a 3.0.8 kernel, i have tried to compile a 3.0.36 without success. Couldn't get any image on the lcd .

        But i'm a noob
        if [ $up.post.type = $type.two.lazy.to_use_google ] || [ $up.post.type = $type.silly_question ];
        then mv $user.contact.up.post /.trash; set response($response.type = ignore);
        $user.up.post.ignore_in_future = true; fi;

        Comment


          #94
          Originally posted by abdul_pt View Post
          I for once would like it very much. I have a a 3.0.8 kernel, i have tried to compile a 3.0.36 without success. Couldn't get any image on the lcd .

          But i'm a noob
          i also compiled 3.0.36 kernels before but couldn't get them to boot, only black screen or no signal.


          Once it's working, can the MK808 & MK808B config files be included and a working boot.img posted.
          Kernel is not necessary, since i want to overclock it, and will compile myself.

          Can't wait

          Thanks

          Comment


            #95
            I could be wrong on this but I have never been able to use a 3.0.36+ kernel with a Android build made against the 3.0.8 kernel build tree. Many things changed from 4.1.1 to 4.2.2 that revolve around changes in the kernel (security, HDMI, display, etc) and it was not just ko modules. .so (libraries) changed as well.

            So I don't think you will ever boot a 4.1.1 build on a 3.0.36+ kernel unless it was built for a 3.0.36 kernel tree. Way early on I did see 4.2.2 builds with 3.0.8+ kernels. But if you then tried to use a 3.0.36+ kernel it would not boot!

            So you need to find a Android OS build specifically made for using a 3.0.36 kernel.

            Bob
            "Pzebacz im, bo nie wiedzą, co czynią"
            "Прости им, они не ведают, что творят"
            "Perdona loro perché non sanno quello che fanno"
            "Vergib ihnen, denn sie wissen nicht, was sie tun"
            "Vergeef hen want ze weten niet wat ze doen"
            "Pardonne-leur car ils ne savent pas ce qu'ils font"
            "Perdónalos porque no saben que lo que hacen"
            "Oprosti im, jer ne znaju što čine"
            "Forgive them as they know not what they do"





            Comment


              #96
              Originally posted by Finless View Post
              I could be wrong on this but I have never been able to use a 3.0.36+ kernel with a Android build made against the 3.0.8 kernel build tree. Many things changed from 4.1.1 to 4.2.2 that revolve around changes in the kernel (security, HDMI, display, etc) and it was not just ko modules. .so (libraries) changed as well.

              So I don't think you will ever boot a 4.1.1 build on a 3.0.36+ kernel unless it was built for a 3.0.36 kernel tree. Way early on I did see 4.2.2 builds with 3.0.8+ kernels. But if you then tried to use a 3.0.36+ kernel it would not boot!

              So you need to find a Android OS build specifically made for using a 3.0.36 kernel.

              Bob
              Totally forgot about that, so thanks for reminding me Luckily these sticks run Linux distros as well

              Comment


                #97
                8188eu.ko missing for 3.0.72+

                the 8188eu.ko is missing for 3.0.72+, where i can get the source for the 8188eu wlan driver?

                thanks
                http://www.freak-tab.de/wasser/btn_donate.gif

                You can make a donation if you find my work useful

                Comment


                  #98
                  Is rk3066_mk808b_defconfig included in this kernel, can't find it?
                  Is it required for build_omegamoon_mk808b or is it still being worked on?

                  Thanks

                  Comment


                    #99
                    Originally posted by wasser View Post
                    the 8188eu.ko is missing for 3.0.72+, where i can get the source for the 8188eu wlan driver?

                    thanks
                    the 8188eu.ko still work witk new 3.0.72+. Sorry, please ignore my previous question
                    http://www.freak-tab.de/wasser/btn_donate.gif

                    You can make a donation if you find my work useful

                    Comment


                      I see RK3066 support has been added but we have no config files for RK3066 devices, they are all for 3.0.8 kernels.
                      Anyone closer to get MK808B compiled?

                      Comment


                        Originally posted by mo123 View Post
                        I see RK3066 support has been added but we have no config files for RK3066 devices, they are all for 3.0.8 kernels.
                        Anyone closer to get MK808B compiled?
                        no point in supporting the MK808B its old the newer kernel would offer nothing
                        current devices(rockchip sucks)
                        Hardkernel ODROID C1 running android kitkat
                        Hardkernel ODROID XU3-L Running Linux/openelec (primary media server)
                        rPi model B+ running nothing ... bricked

                        Comment


                          Originally posted by Legitsu View Post
                          no point in supporting the MK808B its old the newer kernel would offer nothing
                          unless we could get the wifi and bluetooth fully working on the MK808B of course Please bare with us a bit longer, we're working hard on getting things done!

                          Comment


                            k-r42 with 3.0.72+ works

                            i have repacked the minix x7 firmware 006b with kernel-3.0.72+ for k-r42, it works fine. somehow the gui performance is worser than 3.0.36+.

                            if someone has boot problem please revert the change 5cd0004bc7f03467e9246613c7af6351c1847651 or ask omegamoon to rebuild new 3.0.72+ modules with this change. It's new api change in vpu_service.h which causes the prebuilt modules not working correctly

                            Wasser
                            http://www.freak-tab.de/wasser/btn_donate.gif

                            You can make a donation if you find my work useful

                            Comment


                              Originally posted by wasser View Post
                              i have repacked the minix x7 firmware 006b with kernel-3.0.72+ for k-r42, it works fine. somehow the gui performance is worser than 3.0.36+.

                              if someone has boot problem please revert the change 5cd0004bc7f03467e9246613c7af6351c1847651 or ask omegamoon to rebuild new 3.0.72+ modules with this change. It's new api change in vpu_service.h which causes the prebuilt modules not working correctly

                              Wasser
                              Yep, that solved the problem for me, thanks!!!
                              Want to thank me for my work? Donate to one of the administrators of this forum here or here, thanks!

                              Comment


                                Bear with us a little longer guys... we're working hard behind the scenes to get more devices supported, and in general more work done! Thanks for all your support in the meantime

                                Comment

                                Working...
                                X